// Initialize Canvas

canvas = document.getElementById("canvas");

ctx = canvas.getContext('2d');

var stage = new createjs.Stage("canvas");

createjs.Touch.enable(stage);
stage.enableMouseOver();

var nnode, Nnode, ntext, Ntext, ammeterΝ, oudet, v1;

var queue = new createjs.LoadQueue();

$("#R1_number").val(85);
$("#R2_number").val(20);
$("#R3_number").val(50);

$("#R1_slider").val(85);
$("#R2_slider").val(20);
$("#R3_slider").val(50);

$("#neutral_exist").prop("checked", false);

var I1text = new createjs.Text();
I1text.text = "2.71 A";
I1text.x = 416;
I1text.y = 21;
I1text.font = "23px digital-7";
I1text.color = "black";
I1text.textAlign = "right";

var I2text = new createjs.Text();
I2text.text = "11.50 A";
I2text.x = 415;
I2text.y = 368;
I2text.font = "23px digital-7";
I2text.color = "black";
I2text.textAlign = "right";

var I3text = new createjs.Text();
I3text.text = "4.60 A";
I3text.x = 216;
I3text.y = 448;
I3text.font = "23px digital-7";
I3text.color = "black";
I3text.textAlign = "right";

var Intext = new createjs.Text();
Intext.text = "8.02 A";
Intext.x = 417;
Intext.y = 186;
Intext.font = "23px digital-7";
Intext.color = "black";
Intext.textAlign = "right";

v1 = v2 = v3 = 230;

var text1 = "<b>V1="+v1+" V<br/>V2=" +v2 +" V<br/>V3=" +v3+" V </b>";

$("#oer_results p").html(text1);



queue.on("complete", handleComplete);
queue.loadManifest([
    { id: "ammeter", src: "images/polymeter.png" }

]);



function handleComplete(event) {

    createjs.Ticker.on("tick", tick);
    function tick() {
        stage.update();
        //console.log(createjs.Ticker.getTicks());
        if (createjs.Ticker.getTime() > 1000) {
            createjs.Ticker.removeAllEventListeners();
        }
    }

    var ammeter1 = new createjs.Bitmap(queue.getResult("ammeter"));
    var ammeter2 = new createjs.Bitmap(queue.getResult("ammeter"));
    var ammeter3 = new createjs.Bitmap(queue.getResult("ammeter"));
    ammeterΝ = new createjs.Bitmap(queue.getResult("ammeter"));

    ammeter1.scaleX = ammeter1.scaleY = 0.45;
    ammeter1.x = 240 + 50 + 50;
    ammeter1.y = 0;
    stage.addChild(ammeter1);
    stage.addChild(I1text);

    ammeterΝ.scaleX = ammeterΝ.scaleY = 0.45;
    ammeterΝ.x = 240 + 50 + 50;
    ammeterΝ.y = 165;
    stage.addChild(ammeterΝ);
    stage.addChild(Intext);

    ammeter2.scaleX = ammeter2.scaleY = 0.45;
    ammeter2.x = 240 + 50 + 50;
    ammeter2.y = 348;
    stage.addChild(ammeter2);
    stage.addChild(I2text);

    ammeter3.scaleX = ammeter3.scaleY = 0.45;
    ammeter3.x = 140;
    ammeter3.y = 428;
    stage.addChild(ammeter3);
    stage.addChild(I3text);





    var sinewave = new createjs.Shape();
    sinewave.x = 75 + 50 + 50;
    sinewave.y = 235;


    var x_old = 0;
    var y_old = 0;
    for (var x = 0.05; x <= 30; x += 0.05) {
        var y = -10 * Math.sin(x * 2 * Math.PI / 30);
        sinewave.graphics.setStrokeStyle(3).beginStroke("orange").moveTo(x_old, y_old).lineTo(x, y);
        x_old = x;
        y_old = y;
    }

    stage.addChild(sinewave);

    var l1gen = new createjs.Shape();
    l1gen.x = 90 + 50 + 50;
    l1gen.y = 235;
    l1gen.graphics.beginStroke("orange").setStrokeStyle(3).drawCircle(0, 0, 25);

    stage.addChild(l1gen);

    var l1 = new createjs.Shape();
    l1.x = 90 + 50 + 50;
    l1.y = 210;
    l1.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(0, -65).lineTo(181, -65).moveTo(208, -65).lineTo(390, -65).lineTo(390, -40);
    stage.addChild(l1);

    var l1N = new createjs.Shape();
    l1N.x = 90 + 50 + 50;
    l1N.y = 260;
    l1N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(0, 50);
    stage.addChild(l1N);

    oudet = new createjs.Shape();
    oudet.x = 90 + 50 + 50+3;
    oudet.y = 310;
    oudet.graphics.beginStroke("blue").setStrokeStyle(3).moveTo(0, 0).lineTo(179, 0).moveTo(208, 0).lineTo(388, 0);
    stage.addChild(oudet);

    var L1_text=new createjs.Text("L1","23px Arial","black");
    L1_text.x=210;
    L1_text.y=110;
    stage.addChild(L1_text);

    var L2_text=new createjs.Text("L2","23px Arial","black");
    L2_text.x=265;
    L2_text.y=420;
    stage.addChild(L2_text);

    var L3_text=new createjs.Text("L3","23px Arial","black");
    L3_text.x=265;
    L3_text.y=545;
    stage.addChild(L3_text);


    var l2N = new createjs.Shape();
    l2N.x = 90 + 50 + 50;
    l2N.y = 310;
    l2N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(-50 * Math.cos(Math.PI / 6), 50 * Math.sin(Math.PI / 6));
    stage.addChild(l2N);

    var l3N = new createjs.Shape();
    l3N.x = 90 + 50 + 50;
    l3N.y = 310;
    l3N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(50 * Math.cos(Math.PI / 6), 50 * Math.sin(Math.PI / 6));
    stage.addChild(l3N);

    var l3gen = new createjs.Shape();
    l3gen.x = 254.95;
    l3gen.y = 347.5;
    l3gen.graphics.beginStroke("orange").setStrokeStyle(3).drawCircle(0, 0, 25);
    stage.addChild(l3gen);

    var l2 = new createjs.Shape();
    l2.x = 254.95 + 25;
    l2.y = 347.5;
    l2.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(20, 0).lineTo(20, 145).lineTo(90, 145).moveTo(118, 145).lineTo(250, 145).lineTo(250, 76);
    stage.addChild(l2)

    var l2gen = new createjs.Shape();
    l2gen.x = 25.05 + 50 + 50;
    l2gen.y = 347.5;
    l2gen.graphics.beginStroke("orange").setStrokeStyle(3).drawCircle(0, 0, 25);
    stage.addChild(l2gen);

    var sinewave2 = new createjs.Shape();
    sinewave2.x = 25.05 + 50 + 50 - 15;
    sinewave2.y = 347.5;


    var x_old = 0;
    var y_old = 0;
    for (var x = 0.05; x <= 30; x += 0.05) {
        var y = -10 * Math.sin(x * 2 * Math.PI / 30);
        sinewave2.graphics.setStrokeStyle(3).beginStroke("orange").moveTo(x_old, y_old).lineTo(x, y);
        x_old = x;
        y_old = y;
    }

    stage.addChild(sinewave2);



    var sinewave3 = new createjs.Shape();
    sinewave3.x = 239.95;
    sinewave3.y = 347.5;


    var x_old = 0;
    var y_old = 0;
    for (var x = 0.05; x <= 30; x += 0.05) {
        var y = -10 * Math.sin(x * 2 * Math.PI / 30);
        sinewave3.graphics.setStrokeStyle(3).beginStroke("orange").moveTo(x_old, y_old).lineTo(x, y);
        x_old = x;
        y_old = y;
    }

    stage.addChild(sinewave3);

    var r1text = new createjs.Text("R", "20px Arial", "#667b16");
    r1text.x = 610;
    r1text.y = 170;

    stage.addChild(r1text);

    var r11text = new createjs.Text("1", "12px Arial", "#667b16");
    r11text.x = 623;
    r11text.y = 181;

    stage.addChild(r11text);

    var r2text = new createjs.Text("R", "20px Arial", "#667b16");
    r2text.x = 586;
    r2text.y = 370;

    stage.addChild(r2text);

    var r21text = new createjs.Text("2", "12px Arial", "#667b16");
    r21text.x = 600;
    r21text.y = 380;

    stage.addChild(r21text);

    var r3text = new createjs.Text("R", "20px Arial", "#667b16");
    r3text.x = 670;
    r3text.y = 310;

    stage.addChild(r3text);

    var r31text = new createjs.Text("3", "12px Arial", "#667b16");
    r31text.x = 686;
    r31text.y = 320;

    stage.addChild(r31text);


    var v1text = new createjs.Text("U", "23px Arial", "orange");
    v1text.x = 220;
    v1text.y = 200;

    stage.addChild(v1text);

    var v11text = new createjs.Text("1", "14px Arial", "orange");
    v11text.x = 236;
    v11text.y = 210;

    stage.addChild(v11text);


    var v3text = new createjs.Text("U", "23px Arial", "orange");
    v3text.x = 72;
    v3text.y = 295;

    stage.addChild(v3text);

    var v32text = new createjs.Text("3", "14px Arial", "orange");
    v32text.x = 88;
    v32text.y = 305;

    stage.addChild(v32text);




    

    var v2text = new createjs.Text("U", "23px Arial", "orange");
    v2text.x = 215;
    v2text.y = 370;

    stage.addChild(v2text);


    


    var v21text = new createjs.Text("2", "14px Arial", "orange");
    v21text.x = 232;
    v21text.y = 380;

    stage.addChild(v21text);

    var l3 = new createjs.Shape();
    l3.x = 103.4;
    l3.y = 360;
    l3.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(-35 * Math.cos(Math.PI / 6), 35 * Math.sin(Math.PI / 6)).lineTo(-35 * Math.cos(Math.PI / 6), 35 * Math.sin(Math.PI / 6) + 197).lineTo(67, 35 * Math.sin(Math.PI / 6) + 197).moveTo(95, 35 * Math.sin(Math.PI / 6) + 197).lineTo(586, 35 * Math.sin(Math.PI / 6) + 197).lineTo(586, 35 * Math.sin(Math.PI / 6) + 197 - 160);
    stage.addChild(l3);

    //τριφασικό φορτίο

    var R1shape = new createjs.Shape();
    R1shape.x = 580;
    R1shape.y = 170;
    R1shape.graphics.beginStroke("#667b16").setStrokeStyle(3).moveTo(0, 0).lineTo(6, -18).lineTo(18, 18).lineTo(30, -18).lineTo(42, 18).lineTo(56, -18).lineTo(68, 18).lineTo(80, -18).lineTo(92, 18).lineTo(98, 0);//.lineTo(116,18).lineTo(128,-18).lineTo(134,0);
    stage.addChild(R1shape);
    R1shape.rotation = 90;

    var R1N = new createjs.Shape();
    R1N.x = 580;
    R1N.y = 309;
    //R1N.graphics.beginFill("black").drawCircle(0,2.5,6);
    R1N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(0, -41);
    stage.addChild(R1N);

    Nnode = new createjs.Shape();
    Nnode.x = 580;
    Nnode.y = 307.5;
    Nnode.graphics.beginFill("black").drawCircle(0, 2.5, 6);
    stage.addChild(Nnode);

    Ntext = new createjs.Text("N", "20px Arial", "black");
    Ntext.x = 590;
    Ntext.y = 284;
    stage.addChild(Ntext);

    nnode = new createjs.Shape();
    nnode.x = 190;
    nnode.y = 306.5;
    nnode.graphics.beginFill("black").drawCircle(0, 2.5, 6);
    stage.addChild(nnode);

    ntext = new createjs.Text("n", "20px Arial", "black");
    ntext.x = 198;
    ntext.y = 284;
    stage.addChild(ntext);


    var R2shape = new createjs.Shape();
    R2shape.x = 580;
    R2shape.y = 340;
    R2shape.graphics.beginStroke("#667b16").setStrokeStyle(3).moveTo(0, 0).lineTo(6, -18).lineTo(18, 18).lineTo(30, -18).lineTo(42, 18).lineTo(56, -18).lineTo(68, 18).lineTo(80, -18).lineTo(92, 18).lineTo(98, 0);//.lineTo(116,18).lineTo(128,-18).lineTo(134,0);
    stage.addChild(R2shape);
    R2shape.rotation = 120;

    var R2N = new createjs.Shape();
    R2N.x = 580;
    R2N.y = 340;
    R2N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(0, -29);
    stage.addChild(R2N);

    var R3N = new createjs.Shape();
    R3N.x = 578;
    R3N.y = 310;
    R3N.graphics.beginStroke("black").setStrokeStyle(3).moveTo(0, 0).lineTo(42, 0).lineTo(62, 20);
    stage.addChild(R3N);

    var R3shape = new createjs.Shape();
    R3shape.x = 640;
    R3shape.y = 329;
    R3shape.graphics.beginStroke("#667b16").setStrokeStyle(3).moveTo(0, 0).lineTo(6, -18).lineTo(18, 18).lineTo(30, -18).lineTo(42, 18).lineTo(56, -18).lineTo(68, 18).lineTo(80, -18).lineTo(92, 18).lineTo(98, 0);//.lineTo(116,18).lineTo(128,-18).lineTo(134,0);
    stage.addChild(R3shape);
    R3shape.rotation = 60;

    //


}
console.log("hi");
//createjs.Ticker.reset();
stage.update();













